#######################################################################
# Copyright: DAASI International GmbH 2018. All rights reserved.
#
# This is Open Source Software
# License: Artistic License 2.0
#
# Author: Peter Gietz, DAASI International GmbH, www.daasi.de
# For questions please mail to peter.gietz@daasi.de
#######################################################################
#!/usr/bin/perl -w

use warnings;
use strict;

# 29.11.2005 BW

package DAASIlib::FORM;

require HTML::Template;
use Log::Log4perl qw(:easy);
my $logger = Log::Log4perl->get_logger('');

# load the attributes from the configfile in the correct sequence, because Config::General would return them mixed
sub load_datastring {

    my ( $attrconffile ) = @_;
    my $attrstring;

    open (FP, $attrconffile) ||
        $logger->error ("EXCEPTION: couldn't open DataConfFile $attrconffile");

    my $inline;
    while ($inline = <FP>) {
        if ( $inline =~ /^<attrs\s+(.+)>/ ) {
            $attrstring.=",$1";
        }
    }

    close (FP);

    $attrstring =~ s/^,//;
    return ($attrstring);

}

1;
